EDIT - feature request #8447

Adapt setPublishForSubtree to new parameters for pro parte, misapplications and hybrids
08/07/2019 01:44 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal

Description

Also have in mind that the includeSharedTaxa parameter is valid for accepted taxa, misapplications and pro parte synonyms (and
hybrids anyway as this is only a name level filter). So we need to move it away in Ul from accepted taxa only and maybe put it to the
end, with some additional space before. Maybe we put in brackets an explanation "for accepted taxa, misapplications and pro parte
synonyms)" (or we could even adapt this label depending on the previously selected includes - but this is only nice to have).

If only include synonyms is selected, includeSharedTaxa should be disabled.

Related issues:
Related to EDIT - feature request #7450: Allow setPublish for subtree to incl... Closed
Related to EDIT - bug #8446: Allow setPublish for subtree to filter for hybrids Closed

Associated revisions

Revision 0c8bd397 - 08/15/2019 09:39 AM - Katja Luther
ref #8447: add man and pp to setPublish configurator wizard

Revision c03d27b9 - 08/15/2019 09:39 AM - Katja Luther

ref #8447: move shared taxa and disable if not needed

Revision 245bd5bc - 08/23/2019 09:40 AM - Katja Luther

ref #8447: only misapplied names or pro parte syn should work as well

Revision aee8ed69 - 08/23/2019 09:50 AM - Katja Luther
ref #8447: move hybrids and synonyms

Revision 0c676821 - 08/23/2019 02:36 PM - Katja Luther

ref #8447: disable finish if nothing is selected and hybrids disabled if no taxa or syn selected

History

#1 - 08/07/2019 01:44 PM - Andreas Miiller

- Related to feature request #7450: Allow setPublish for subtree to include misapplied names and pro parte synonyms added

#2 - 08/08/2019 02:26 PM - Andreas Miiller

- Subject changed from Adapt setPublishForSubtree to new parameters for pro parte and misapplications to Adapt setPublishForSubtree to new
parameters for pro parte, misapplications and hybrids

#3 - 08/08/2019 02:27 PM - Andreas Miiller
- Related to bug #8446: Allow setPublish for subtree to filter for hybrids added

#4 - 08/08/2019 02:54 PM - Andreas Miiller

- Description updated

#5 - 08/12/2019 10:49 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
please review

#6 - 08/16/2019 08:57 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

If only Misapplications and/or pro parte synonyms are selected the finish button is not enabled but should (at least it does not react on click).

#7 - 08/16/2019 08:59 PM - Andreas Miiller

Hybrids are not a set of independent taxa but more a filter on each group. So we should maybe move it down (directly above or below the "multiple
used taxa" flag). Also it should be disabled if none of the remaining 4 groups is selected.

#8 - 08/16/2019 09:01 PM - Andreas Miiller

| think we may move synonyms below taxa as they are the second biggest group. Misapplications and pro parte synonyms are less often used.

#9 - 08/16/2019 09:05 PM - Andreas Miiller

"Pro Parte Synonyme" as pro parte is latin and usually in small letters. However, | don't know if it is maybe better to used dashes to combine the
words. We need a general rule how to write pro parte synonyms application wide.

Can you ask taxonomists what the preferred writing is in English and German. Usually | see "pro parte synonym" and "pro parte Synonym" but at
least in German it looks strange to write pro parte in small letters and Synonym in capital letters but not having it as one word somehow.

#10 - 08/16/2019 09:05 PM - Andreas Miiller
- % Done changed from 0 to 50

#11 - 08/23/2019 09:42 AM - Katja Luther
Andreas Muller wrote:

"Pro Parte Synonyme" as pro parte is latin and usually in small letters. However, | don't know if it is maybe better to used dashes to combine the
words. We need a general rule how to write pro parte synonyms application wide.

Can you ask taxonomists what the preferred writing is in English and German. Usually | see "pro parte synonym" and "pro parte Synonym" but at

least in German it looks strange to write pro parte in small letters and Synonym in capital letters but not having it as one word somehow.

move this to a new ticket because | have to ask the taxonomists first.

#12 - 08/23/2019 09:44 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

moving synonyms and hybrids is done.

#13 - 08/23/2019 11:38 AM - Andreas Muller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Andreas Muller wrote:
Hybrids are not a set of independent taxa but more a filter on each group. So we should maybe move it down (directly above or below the
"multiple used taxa" flag). Also it should be disabled if none of the remaining 4 groups is selected.

Disabling seems not to be implemented yet.

Also the Finish button should be disabled if none of the 4 is enabled.

#14 - 08/23/2019 02:37 PM - Katja Luther

- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Andreas Muller wrote:
Andreas Muller wrote:

Hybrids are not a set of independent taxa but more a filter on each group. So we should maybe move it down (directly above or below the
"multiple used taxa" flag). Also it should be disabled if none of the remaining 4 groups is selected.

Disabling seems not to be implemented yet.

Also the Finish button should be disabled if none of the 4 is enabled.

this is implemented.

#15 - 08/26/2019 08:39 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miller to Katja Luther

- % Done changed from 50 to 100
